<%@ Control Language="C#" AutoEventWireup="true"  CodeFile="AccountOrders.ascx.cs" Inherits="Trade.Web.AccountOrders" %>
<% /*
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
<asp:Repeater id="AccountOrdersRepeater" runat="server">
    <HeaderTemplate>
    <table class="table-outer" cellspacing="0" align="center">
        <thead>
            <tr>
                <th>Order ID</th>
                <th>Order Status</th>
                <th>Creation Date</th>
                <th>Completion Date</th>
                <th>Txn Fee</th>
                <th>Type</th>
                <th>Symbol</th>
                <th>Quantity</th>
                <th>Price</th>
                <th>Total</th>
            </tr>
        </thead>
        <tbody>     
    </HeaderTemplate>
    <ItemTemplate>
            <tr>
                <td><%# Eval("orderID")%> </td>
                <td><%# Eval("orderStatus") %></td>
                <td><%# Eval("openDate") %></td>
                <td><%# Eval("completionDate") %> </td>
                <td class="currency"><%# Eval("orderFee", "{0:C}")%></td>
                <td><%# Eval("orderType")%></td>
                <td><%# Eval("quoteLink")%></td>
                <td class="currency"><%# Eval("quantity","{0:0,0}")%></td>
                <td class="currency"><%# Eval("price","{0:C}")%></td>
                <td class="currency"><%# Eval("total","{0:C}")%></td>
           </tr>      
    </ItemTemplate>
    <FooterTemplate>
        </tbody>
    </table>
    </FooterTemplate>
</asp:Repeater>