<%@ Page Title="Apache Stonehenge - .NET StockTrader - Quote" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="Order.aspx.cs" Inherits="Trade.Web.Order" %>
<%@ Import Namespace="Trade.StockTraderWebApplicationModelClasses" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div class="main-title">
        <h1>New Order</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div> 
	
	<p style="text-align:center;">
        <asp:Label ID="ConfirmMessage" runat="server" />
    </p>
    
    <asp:Panel runat="server" ID="OrderSummaryPanel" Visible="false">
        <table class="table-outer" cellspacing="0" align="center">
            <thead>
                <tr>
                    <th>Order ID</th>
                    <th>Order Status</th>
                    <th>Creation Date</th>
                    <th>Completion Date</th>
                    <th>Txn Fee</th>
                    <th>Type</th>
                    <th>Symbol</th>
                    <th>Quantity</th>
                </tr>        
            </thead>
            <tbody>
                <tr>
                    <td>
                    <asp:Label ID="OrderID" runat="server"></asp:Label></td>
                    <td>
                    <asp:Label ID="OrderStatus" runat="server"></asp:Label></td>
                    <td>
                    <asp:Label ID="OpenDate" runat="server"></asp:Label></td>
                    <td>
                    <asp:Label ID="CompletionDate" runat="server"></asp:Label></td>
                    <td class="currency">
                    <asp:Label ID="OrderFee" runat="server"></asp:Label></td>
                    <td>
                    <asp:Label ID="OrderType" runat="server"></asp:Label></td>
                    <td>
                    <asp:Label ID="Symbol" runat="server"></asp:Label></td>
                    <td class="currency">
                    <asp:Label ID="Quantity" runat="server"></asp:Label></td>
                </tr>   
            </tbody>
        </table>   
    </asp:Panel>

    <div class="bottom">
        <asp:TextBox ID="symbols" runat="server" Text="s:0;s:1;s:2;s:3"></asp:TextBox>
        <asp:Button ID="GetQuoteButton" runat="server" PostBackUrl="~/Quotes.aspx" CssClass="button" Text="Get Quote" />
    </div>

</asp:Content>