@echo off
REM Licensed to the Apache Software Foundation (ASF) under one or more
REM contributor license agreements.  See the NOTICE file distributed with
REM this work for additional information regarding copyright ownership.
REM The ASF licenses this file to You under the Apache License, Version 2.0
REM (the "License"); you may not use this file except in compliance with
REM the License.  You may obtain a copy of the License at
REM 
REM   http://www.apache.org/licenses/LICENSE-2.0
REM 
REM Unless required by applicable law or agreed to in writing, software
REM distributed under the License is distributed on an "AS IS" BASIS,
REM WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
REM See the License for the specific language governing permissions and
REM limitations under the License.

@set BIN_DIR=target

rem =====================================
rem Building the binary pack
rem =====================================
@call build.bat
@echo off

rem =====================================
rem Building the documents
rem =====================================
@cd documentation
@call mvn clean site
@echo "please edit the generated documents and include the header licence comments."
@pause

@xcopy /E /Q /Y /I target\site ..\%BIN_DIR%\documentation\site
@xcopy /E /Q /Y /I installation_guides ..\%BIN_DIR%\documentation\installation_guides
@cd ..\

@echo on
