<%@Control Language="C#"  AutoEventWireup="false" CodeFile="MarketSummary.ascx.cs" Inherits="Trade.Web.MarketSummary" %>
<!--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
 -->
 
<%@OutputCache Duration="60" VaryByParam="none"%>
<%@Import Namespace = "Trade.StockTraderWebApplicationSettings" %>
<!--             Start MarketSummary ASP.NET User Control                     -->
<h3>Market Summary</h3>
<table class="table-outer" cellspacing="0" style="width:100%">
    <tr>
       <td colspan="2"><div style="font-size:smaller"><asp:Label ID="summaryDate" runat="server" Text="summaryDate"></asp:Label></div></td>
    </tr>
    <tr>
       <td class="special"><a href="/Glossary.aspx">Trade Stock<br />Index (TSIA)</a></td>
       <td>
       <asp:Label ID="TSIA" runat="server" Text="TSIA"></asp:Label>
       <asp:Label ID="GainPercent" runat="server" Text="Gain"></asp:Label></td>
    </tr>
    <tr>
       <td class="special"><a href="/Glossary.aspx">Trading<br />Volume</a></td>
       <td>
       <asp:Label ID="Volume" runat="server" Text="Volume"></asp:Label></td>
       </tr>
    <tr>
        <td class="special"><a href="/Glossary.aspx">Top Gainers</a></td>
       <td>
       <asp:Repeater id="TopGainers" runat="server">
           <HeaderTemplate>
              <table class="table-inner" cellspacing="0">
                 <thead>
                     <tr>
                         <th>Symbol</th>
                         <th>Price</th> 
                         <th>Change</th>
                     </tr>
                 </thead>
                 <tbody>
          </HeaderTemplate>
          <ItemTemplate>
                    <tr>
                        <td><%# Eval("quoteLink")%></td>
                        <td style="text-align:right"><%# Eval("priceWithArrow")%></td>
                        <td style="text-align:right"><%# Eval("gainWithArrow")%></td>
                    </tr>
          </ItemTemplate>
          <FooterTemplate>
                </tbody>
            </table>
          </FooterTemplate>
       </asp:Repeater>
       </td>
   </tr>
   <tr>
       <td class="special"><a href="/Glossary.aspx">Top Losers</a></td>
       <td>
       <asp:Repeater id="TopLosers" runat="server">
           <HeaderTemplate>
             <table class="table-inner" cellspacing="0">
                <thead>
                    <tr>
                        <th>Symbol</th> 
                        <th>Price</th>
                        <th>Change</th>
                    </tr>
                </thead>
                <tbody>
           </HeaderTemplate>
           <ItemTemplate>
                <tr>
                   <td><%# Eval("quoteLink")%> </td>
                   <td style="text-align:right"><%# Eval("priceWithArrow")%></td>
                   <td style="text-align:right"><%# Eval("gainWithArrow")%></td>
                </tr>
           </ItemTemplate>
           <FooterTemplate>
                </tbody>
             </table>
           </FooterTemplate>
        </asp:Repeater>

        </td>
    </tr>  
</table>
<!--                        End MarketSummary ASP.NET User Control                    -->