<%@ Page Title="Apache Stonehenge - .NET StockTrader - Welcome" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeFile="Default.aspx.cs" Inherits="Trade.Web.Default" ValidateRequest="false"  %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <!--
    Code originally contributed by Microsoft Corporation.
    This contribution to the Stonehenge project is limited strictly 
    to the source code that is submitted in this submission.  
    Any technology, including underlying platform technology, 
    that is referenced or required by the submitted source code 
    is not a part of the contribution.  
    For example and not by way of limitation, 
    any systems/Windows libraries (WPF, WCF, ASP.NET etc.) 
    required to run the submitted source code is not a part of the contribution
    -->
    <div class="main-title">
        <h1>
            Welcome!</h1>

        <script type="text/javascript">
			var thisdate = new Date();
			document.writeln(thisdate.toLocaleString());
        </script>

    </div>
    <div class="left">
        <p>
            This application is an end-to-end sample application for .NET Enterprise Application
            Server technologies. It is a service-oriented application based on .Net 3.5 utilizing
            Windows Communication Foundation (WCF) and ASP.NET, and illustrates many of the
            .NET 3.5 enterprise development technologies that can be used for building "enterprise-connected"
            applications.
            <p>
                <p>
                    The application also offers a rich set of interoperability options with non-Microsoft
                    platforms. This includes interoperability with Java-based application servers and
                    <a href="https://www14.software.ibm.com/webapp/iwm/web/preLogin.do?source=trade6">IBM
                        WebSphere's Trade 6.1</a> sample application, and open-source based front-ends
                    and services from <a href="http://wso2.org/interop/stocktrader">WSO2</a> and other
                    vendors. The .NET services also include a data access layer for both Microsoft SQL
                    Server and Oracle 11G databases. The application offers an excellent opportunity
                    for developers to learn about .NET and building interoperable, service-oriented
                    applications.
                </p>
                <p>
                    For more details, check <a href="http://incubator.apache.org/stonehenge">Apache Stonehenge
                        home page</a>.
                </p>
    </div>
    <div class="right">
        <h3>
            Sample of Technologies Demonstrated</h3>
        <ul>
            <li>Service-oriented, n-tier design with ASP.NET and WCF</li>
            <li>Clean separation of UI, business services and DB access</li>
            <li>.NET 3.5 with WCF</li>
            <li>Interoperability with J2EE/WebSphere Trade 6.1</li>
            <li>Interoperability with Java and PHP services over
                <br />
                WS-* Advanced Web Service standards</li>
            <li>Loosely-coupled, message-oriented design with WCF</li>
            <li>Self-hosting WCF Services</li>
            <li>Custom WCF Behaviors</li>
            <li>.NET Enterprise Application Server Technologies</li>
            <li>ASP.NET 2.0 and 3.5</li>
            <li>ADO.NET 2.0</li>
        </ul>
    </div>
</asp:Content>