<%@ Application Language="C#"%>
<%--
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
--%>
<%@ Import Namespace = "Trade.StockTraderWebApplicationSettings" %>
<%@ Import Namespace = "Trade.Utility" %>
<%@ Import Namespace = "System.IdentityModel.Tokens" %>
<%@ Import Namespace = "System.Linq" %>
<%@ Import Namespace = "System.Security.Cryptography.X509Certificates" %>
<%@ Import Namespace = "System.ServiceModel" %>
<%@ Import Namespace = "System.ServiceModel.Channels" %>
<%@ Import Namespace = "System.ServiceModel.Description" %>
<%@ Import Namespace = "System.ServiceModel.Security" %>
<%@ Import Namespace = "System.ServiceModel.Security.Tokens" %>
<%@ Import Namespace = "System.Threading" %>
<%@ Import Namespace = "System.Web" %>
<%@ Import Namespace = "System.Web.Configuration" %>
<%@ Import Namespace = "Microsoft.IdentityModel.Claims" %>
<%@ Import Namespace = "Microsoft.IdentityModel.Protocols.WSTrust" %>
<%@ Import Namespace = "Microsoft.IdentityModel.SecurityTokenService" %>
<%@ Import Namespace = "Microsoft.IdentityModel.Tokens" %>

<script runat="server">

    void Application_Start(object sender, EventArgs e) 
    {
        Trade.StockTraderWebApplicationSettings.Settings settings = new Trade.StockTraderWebApplicationSettings.Settings();
    }

    void Application_End(object sender, EventArgs e)
    {
       
    }
        
    void Application_Error(object sender, EventArgs e) 
    { 
        // Code that runs when an unhandled error occurs
    }

    void Session_Start(object sender, EventArgs e) 
    {
    }

    void Session_End(object sender, EventArgs e) 
    {
        // Code that runs when a session ends. 
        // Note: The Session_End event is raised only when the sessionstate mode
        // is set to InProc in the Web.config file. If session mode is set to StateServer 
        // or SQLServer, the event is not raised.

    }
       
</script>
