<%@ Page Title="Apache Stonehenge - .NET StockTrader - Register" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="Register.aspx.cs" Inherits="Trade.Web.Register" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">


    <div class="main-title">
        <h1>Register</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div>

<table class="profile" cellspacing="0" width="100%">
					<thead>
					<tr>
					<th colspan="4">
					Create Account Profile:
					</th>
					</tr>
					</thead>
					<tbody>
					<tr>
					<td colspan="4">
					<asp:Label ID="RegisterMessage" runat="server"></asp:Label>
					</td>
					</tr>
    <tr>
            <td style="text-align:right; padding-right:4px;padding-top:10px">Requested User ID:</td>
            <td style="text-align:left;padding-left:4px; padding-top:10px;"><asp:TextBox ID="UserID" runat="server" MaxLength="50" ></asp:TextBox></td>
            <td style="text-align:right; padding-right:4px; padding-top:10px">Opening Balance:</td>
            <td style="text-align:left;padding-left:4px; padding-top:10px;"><asp:TextBox ID="OpenBalance" runat="server" Text="100000" MaxLength="7"></asp:TextBox></td>
    </tr>
    <tr>
            <td style="text-align:right; padding-right:4px;">Full Name:</td>
            <td style="text-align:left;padding-left:4px;"><asp:TextBox ID="FullName" runat="server" MaxLength="100"></asp:TextBox></td>
            <td style="text-align:right; padding-right:4px;">Email Address:</td>
            <td style="text-align:left;padding-left:4px;"><asp:TextBox ID="Email" runat="server" MaxLength="100"></asp:TextBox></td>
    </tr>
    <tr>
            <td style="text-align:right; padding-right:4px">Address:</td>
            <td style="text-align:left;padding-left:4px"><asp:TextBox ID="Address" runat="server" MaxLength="100"></asp:TextBox></td>
            <td style="text-align:right;padding-right:4px">Password:</td>
            <td style="text-align:left;padding-left:4px"><asp:TextBox ID="Password" runat="server" TextMode="Password" MaxLength="100"></asp:TextBox></td>
    </tr>
    <tr>
            <td style="text-align:right;padding-right:4px">Credit Card:</td>
            <td style="text-align:left;padding-left:4px"><asp:TextBox ID="CreditCard" runat="server" MaxLength="100"></asp:TextBox></td>
            <td style="text-align:right;padding-right:4px">Confirm Password:</td>
            <td style="text-align:left;padding-left:4px"><asp:TextBox ID="ConfirmPassword" runat="server" TextMode="Password" MaxLength="100"></asp:TextBox></td>
    </tr>
    <tr>
        <td colspan="4" style="text-align:center;">
            <asp:Button ID="RegisterButton" CssClass="button" runat="server" Text="Register" />
        </td>
    </tr>
    <tr>
            <td colspan="4" style="text-align:center;padding-top:15px; padding-bottom:10px;">
                <asp:ValidationSummary ID="ValidationSummary1" runat="server" ValidationGroup="Register" DisplayMode="List" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="FullName"
                    ErrorMessage="Please Enter a Name" ValidationGroup="Register" Display="None"></asp:RequiredFieldValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Address"
                    ErrorMessage="Please Enter an Address" ValidationGroup="Register" Display="None"></asp:RequiredFieldValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="Email"
                    ErrorMessage="Please Enter an Email" ValidationGroup="Register" Display="None"></asp:RequiredFieldValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="Password"
                    ErrorMessage="Please Enter a Password" ValidationGroup="Register" Display="None"></asp:RequiredFieldValidator>&nbsp;
                <asp:RequiredFieldValidator ID="RequiredFieldValidator6" runat="server" ErrorMessage="Enter a User ID" ControlToValidate="UserID" Display="None" ValidationGroup="Register"></asp:RequiredFieldValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator7" runat="server" ErrorMessage="Please Enter a Credit Card"
                    ValidationGroup="Register" ControlToValidate="CreditCard" Display="None"></asp:RequiredFieldValidator>
                <asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="OpenBalance"
                    ErrorMessage="Enter a value between $1,000 and $10,000,000" ValidationGroup="Register" Display="None" MaximumValue="10000000" MinimumValue="1000"></asp:RangeValidator>
                <asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="Password"
                    ControlToValidate="ConfirmPassword" Display="None" ErrorMessage="Passwords Don't Match!"
                    ValidationGroup="Register"></asp:CompareValidator>
                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="ConfirmPassword"
                    Display="None" ErrorMessage="Please Confirm Your Password" ValidationGroup="Register"></asp:RequiredFieldValidator></td>
    </tr>
    </tbody>
  </table>

</asp:Content>